### Method

# GLib RecMutex trylock

since: 2.32

#### Declaration

    gboolean
    g_rec_mutex_trylock (
      GRecMutex* rec_mutex
    )

#### Description

Tries to lock `rec_mutex`. If `rec_mutex` is already locked by another thread, it immediately returns `FALSE`. Otherwise it locks `rec_mutex` and returns `TRUE`.

Available since: 2.32

#### Return value

Type: `gboolean`

`TRUE` if `rec_mutex` could be locked.